# Class default

- Defined in src/lidar/Plot.ts:53

#####
Index

### Constructors

constructor

### Properties

material
previousDomainX
scaleX
scaleY
updateScaleX
updateScaleY

### Methods

changeStyle
drawPoints
formatDecimals
getInfoHTML
pointHighlight
setClassActive
setupPlot
zoomEnd
zoomed

## Constructors

### constructor

- new default(gmfLidarprofileManagerInstance): default

- Provides a service to create an SVG element with defined axis and a LIDAR point drawing mechanism.

  #### Parameters

  - ##### gmfLidarprofileManagerInstance: LidarprofileManager

    gmf lidar profile manager instance

  #### Returns default

  - Defined in src/lidar/Plot.ts:108

## Properties

### material

material: string

The material used for the drawing process. Initialized in the setup

- Defined in src/lidar/Plot.ts:82

### previousDomainX

previousDomainX: number[]

- Defined in src/lidar/Plot.ts:94

### scaleX

scaleX: ScaleLinear<number, number, never>

d3.scaleLinear X scale.

- Defined in src/lidar/Plot.ts:62

### scaleY

scaleY: ScaleLinear<number, number, never>

d3.scaleLinear Y scale.

- Defined in src/lidar/Plot.ts:72

### updateScaleX

updateScaleX: updateScaleFunction

d3.scaleLinear X scale.

- Defined in src/lidar/Plot.ts:67

### updateScaleY

updateScaleY: updateScaleFunction

d3.scaleLinear Y scale.

- Defined in src/lidar/Plot.ts:77

## Methods

### changeStyle

- changeStyle(material): void

- Change the profile style according to the material color

  #### Parameters

  - ##### material: string

    value as defined in Pytree attribute configuration

  #### Returns void

  - Defined in src/lidar/Plot.ts:586

### drawPoints

- drawPoints(points): void

- Draw the points to the canvas element

  #### Parameters

  - ##### points: LidarprofilePoints

    of the profile

  #### Returns void

  - Defined in src/lidar/Plot.ts:168

### formatDecimals

- formatDecimals(num, decimals): number

- #### Parameters

  - ##### num: number

  - ##### decimals: number

  #### Returns number

  - Defined in src/lidar/Plot.ts:577

### getInfoHTML

- getInfoHTML(point, classification_color, distDecimal): string

- #### Parameters

  - ##### point: LidarPoint

    the concerned point.

  - ##### classification_color: LidarprofileServerConfigClassification

    the classification object concerning this point.

  - ##### distDecimal: number

    the number of decimal to keep.

  #### Returns string

  the text for the html info.

  - Defined in src/lidar/Plot.ts:542

### pointHighlight

- pointHighlight(event): void

- Update the OpenLayers overlay that displays point position and attributes values

  #### Parameters

  - ##### event: MouseEvent

    Event .

  #### Returns void

  - Defined in src/lidar/Plot.ts:445

### setClassActive

- setClassActive(classification, material): void

- Show/Hide classes in the profile

  #### Parameters

  - ##### classification: LidarprofileServerConfigClassifications

    value as defined in the Pytree classification_colors configuration

  - ##### material: string

    value as defined in Pytree attribute configuration

  #### Returns void

  - Defined in src/lidar/Plot.ts:609

### setupPlot

- setupPlot(rangeX, rangeY): void

- Setup the SVG components of the D3 chart

  #### Parameters

  - ##### rangeX: number[]

    range of the x scale

  - ##### rangeY: number[]

    range of the y scale

  #### Returns void

  - Defined in src/lidar/Plot.ts:227

### zoomEnd

- zoomEnd(event): void

- Update the plot data at the end of the zoom process

  #### Parameters

  - ##### event: any

    Event .

  #### Returns void

  - Defined in src/lidar/Plot.ts:362

### zoomed

- zoomed(event): void

- Update the plot axis during the zoom process

  #### Parameters

  - ##### event: any

    Event .

  #### Returns void

  - Defined in src/lidar/Plot.ts:388

Generated using TypeDoc